Skip to main content
GET
/
v4
/
core
/
companies
/
{companyId}
/
company-info
List company info
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/company-info \
  --header 'api_key: <api-key>'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/company-info"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/company-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "data": [
      {
        "rootfi_id": 123,
        "rootfi_created_at": "2023-11-07T05:31:56Z",
        "rootfi_updated_at": "2023-11-07T05:31:56Z",
        "platform_id": "<string>",
        "name": "<string>",
        "legal_name": "<string>",
        "tax_number": "<string>",
        "registration_number": "<string>",
        "base_currency": "<string>",
        "fiscal_start_at": "2023-11-07T05:31:56Z",
        "org_created_at": "2023-11-07T05:31:56Z",
        "timezone": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "addresses": [
          {
            "rootfi_id": 123,
            "rootfi_created_at": "2023-11-07T05:31:56Z",
            "rootfi_updated_at": "2023-11-07T05:31:56Z",
            "platform_id": "<string>",
            "parent_id": "<string>",
            "street": "<string>",
            "street2": "<string>",
            "locality": "<string>",
            "city": "<string>",
            "state": "<string>",
            "postal_code": "<string>",
            "country": "<string>"
          }
        ],
        "phone_numbers": [
          {
            "rootfi_id": 123,
            "rootfi_created_at": "2023-11-07T05:31:56Z",
            "rootfi_updated_at": "2023-11-07T05:31:56Z",
            "platform_id": "<string>",
            "parent_id": "<string>",
            "number": "<string>"
          }
        ],
        "external_links": [
          {
            "rootfi_id": 123,
            "rootfi_created_at": "2023-11-07T05:31:56Z",
            "rootfi_updated_at": "2023-11-07T05:31:56Z",
            "platform_id": "<string>",
            "parent_id": "<string>",
            "link": "<string>"
          }
        ]
      }
    ],
    "total_count": 123,
    "next": "<string>",
    "prev": "<string>"
  },
  "request_id": "<string>"
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

limit
integer
default:20

Max records to return.

Required range: x <= 100
next
string

Cursor for the next page (from a previous response).

prev
string

Cursor for the previous page.

include_deleted_records
boolean

Include soft-deleted records.

return_count
boolean

Include the total match count in the response.

expand
string

Comma-separated related resources to expand: addresses, phone_numbers, external_links.

name[eq]
string

Exact match on name.

name[in]
string

Comma-separated name values (OR match).

Exact match on legal_name.

Comma-separated legal_name values (OR match).

base_currency[eq]
string

Exact match on base_currency.

base_currency[in]
string

Comma-separated base_currency values (OR match).

rootfi_integration_type[eq]
string

Exact match on rootfi_integration_type.

rootfi_integration_type[in]
string

Comma-separated rootfi_integration_type values (OR match).

rootfi_updated_at[eq]
string

Exact match on rootfi_updated_at.

rootfi_updated_at[in]
string

Comma-separated rootfi_updated_at values (OR match).

rootfi_updated_at[gte]
string

rootfi_updated_at greater-than-or-equal.

rootfi_updated_at[lte]
string

rootfi_updated_at less-than-or-equal.

updated_at[eq]
string

Exact match on updated_at.

updated_at[in]
string

Comma-separated updated_at values (OR match).

updated_at[gte]
string

updated_at greater-than-or-equal.

updated_at[lte]
string

updated_at less-than-or-equal.

Response

200 - application/json

A paginated list of company-info.

data
object
required
request_id
string
required